### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-tabs/ecl-tab.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`EclTab`

### Metadata

selector | `ecl-tab`
styles | `:host { display: list-item; }`
templateUrl | `./ecl-tab.component.html`

### Index

###### Properties

- contentTemplate
- role

###### Methods

- onTabClick
- getCssClasses

###### Inputs

- id
- isActive
- isHidden
- class
- e2eAttr

###### Outputs

- select

###### HostBindings

- attr.role
- class

###### Accessors

- cssClasses

### Inputs

id
Type : `string`

isActive
Type : `boolean | any`
Default value : `false`

isHidden
Type : `boolean | any`
Default value : `false`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

select
Type : `EventEmitter`

### HostBindings

attr.role
Type : `string`
Default value : `'listitem'`

class
Type : `any`

### Methods

onTabClick
`onTabClick(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

contentTemplate
Type : `TemplateRef<any>`
Decorators : `@ViewChild('content')`

role
Type : `string`
Default value : `'listitem'`
Decorators : `@HostBinding('attr.role')`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""